Class CfnListener.RedirectConfigProperty.Jsii$Proxy
java.lang.Object
software.amazon.jsii.JsiiObject
software.amazon.awscdk.services.elasticloadbalancingv2.CfnListener.RedirectConfigProperty.Jsii$Proxy
- All Implemented Interfaces:
CfnListener.RedirectConfigProperty,software.amazon.jsii.JsiiSerializable
- Enclosing interface:
CfnListener.RedirectConfigProperty
@Stability(Stable)
@Internal
public static final class CfnListener.RedirectConfigProperty.Jsii$Proxy
extends software.amazon.jsii.JsiiObject
implements CfnListener.RedirectConfigProperty
An implementation for
CfnListener.RedirectConfigProperty-
Nested Class Summary
Nested classes/interfaces inherited from class software.amazon.jsii.JsiiObject
software.amazon.jsii.JsiiObject.InitializationModeNested classes/interfaces inherited from interface software.amazon.awscdk.services.elasticloadbalancingv2.CfnListener.RedirectConfigProperty
CfnListener.RedirectConfigProperty.Builder, CfnListener.RedirectConfigProperty.Jsii$Proxy -
Constructor Summary
ConstructorsModifierConstructorDescriptionprotectedConstructor that initializes the object based on literal property values passed by theCfnListener.RedirectConfigProperty.Builder.protectedJsii$Proxy(software.amazon.jsii.JsiiObjectRef objRef) Constructor that initializes the object based on values retrieved from the JsiiObject. -
Method Summary
Modifier and TypeMethodDescriptioncom.fasterxml.jackson.databind.JsonNodefinal booleanfinal StringgetHost()The hostname.final StringgetPath()The absolute path, starting with the leading "/".final StringgetPort()The port.final StringThe protocol.final StringgetQuery()The query parameters, URL-encoded when necessary, but not percent-encoded.final StringThe HTTP redirect code.final inthashCode()Methods inherited from class software.amazon.jsii.JsiiObject
jsiiAsyncCall, jsiiAsyncCall, jsiiCall, jsiiCall, jsiiGet, jsiiGet, jsiiSet, jsiiStaticCall, jsiiStaticCall, jsiiStaticGet, jsiiStaticGet, jsiiStaticSet, jsiiStaticSet
-
Constructor Details
-
Jsii$Proxy
protected Jsii$Proxy(software.amazon.jsii.JsiiObjectRef objRef) Constructor that initializes the object based on values retrieved from the JsiiObject.- Parameters:
objRef- Reference to the JSII managed object.
-
Jsii$Proxy
Constructor that initializes the object based on literal property values passed by theCfnListener.RedirectConfigProperty.Builder.
-
-
Method Details
-
getStatusCode
Description copied from interface:CfnListener.RedirectConfigPropertyThe HTTP redirect code.The redirect is either permanent (HTTP 301) or temporary (HTTP 302).
- Specified by:
getStatusCodein interfaceCfnListener.RedirectConfigProperty- See Also:
-
getHost
Description copied from interface:CfnListener.RedirectConfigPropertyThe hostname.This component is not percent-encoded. The hostname can contain #{host}.
- Specified by:
getHostin interfaceCfnListener.RedirectConfigProperty- See Also:
-
getPath
Description copied from interface:CfnListener.RedirectConfigPropertyThe absolute path, starting with the leading "/".This component is not percent-encoded. The path can contain #{host}, #{path}, and #{port}.
- Specified by:
getPathin interfaceCfnListener.RedirectConfigProperty- See Also:
-
getPort
Description copied from interface:CfnListener.RedirectConfigPropertyThe port.You can specify a value from 1 to 65535 or #{port}.
- Specified by:
getPortin interfaceCfnListener.RedirectConfigProperty- See Also:
-
getProtocol
Description copied from interface:CfnListener.RedirectConfigPropertyThe protocol.You can specify HTTP, HTTPS, or #{protocol}. You can redirect HTTP to HTTP, HTTP to HTTPS, and HTTPS to HTTPS. You can't redirect HTTPS to HTTP.
- Specified by:
getProtocolin interfaceCfnListener.RedirectConfigProperty- See Also:
-
getQuery
Description copied from interface:CfnListener.RedirectConfigPropertyThe query parameters, URL-encoded when necessary, but not percent-encoded.Do not include the leading "?", as it is automatically added. You can specify any of the reserved keywords.
- Specified by:
getQueryin interfaceCfnListener.RedirectConfigProperty- See Also:
-
$jsii$toJson
@Internal public com.fasterxml.jackson.databind.JsonNode $jsii$toJson()- Specified by:
$jsii$toJsonin interfacesoftware.amazon.jsii.JsiiSerializable
-
equals
-
hashCode
public final int hashCode()
-